#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtmultimedia
Version		:	6.8.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt6 - Multimedia support

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/sumodules

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	cmake
BuildRequires	:	ffmpeg-devel
BuildRequires	:	gcc-c++
BuildRequires	:	gstreamer
#BuildRequires	:	appstream-devel
#BuildRequires	:	libappstream-glib-devel
BuildRequires	:	libva-devel
BuildRequires	:	libxkbcommon
BuildRequires	:	qt6-qtbase-devel	= %{version}
BuildRequires	:	qt6-qtdeclarative-devel	= %{version}
BuildRequires	:	qt6-qtshadertools-devel	= %{version}
BuildRequires	:	qt6-qtquick3d-devel	= %{version}
BuildRequires	:	qt6-qtsvg-devel		= %{version}
BuildRequires	:	Vulkan-Loader-devel
BuildRequires	:	xrandr

#-----------------------------------------------------------------------------
%description
The Qt Multimedia module provides a rich feature
set that enables you to easily take advantage of
a platforms multimedia capabilites and hardware.
This ranges from the playback and recording of
audio and video content to the use of available
devices like cameras and radios.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/*
%{_qt6_libdir}/libQt6Multimedia.so.6*
%{_qt6_libdir}/libQt6MultimediaQuick.so.6*
%{_qt6_libdir}/libQt6MultimediaWidgets.so.6*
%{_qt6_libdir}/libQt6SpatialAudio.so.6*
%{_qt6_libdir}/libQt6Quick3DSpatialAudio.so.6*
%{_qt6_archdatadir}/qml/QtMultimedia/
%{_qt6_archdatadir}/qml/QtQuick3D/SpatialAudio/
#{_qt6_plugindir}/multimedia/libgstreamermediaplugin.so

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}
Requires	:	qt6-qtbase-devel	= %{version}
Requires	:	qt6-qtdeclarative-devel	= %{version}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
#{_qt6_headerdir}/QtQGstreamerMediaPlugin/
%{_qt6_headerdir}/QtMultimedia/
%{_qt6_headerdir}/QtMultimediaQuick/
%{_qt6_headerdir}/QtMultimediaWidgets/
%{_qt6_headerdir}/QtSpatialAudio/
%{_qt6_headerdir}/QtQuick3DSpatialAudio/
%{_qt6_libdir}/libQt6BundledResonanceAudio.a
#{_qt6_libdir}/libQt6QGstreamerMediaPlugin.a
#{_qt6_libdir}/libQt6QGstreamerMediaPlugin.prl
%{_qt6_libdir}/libQt6Multimedia.so
%{_qt6_libdir}/libQt6Multimedia.prl
%{_qt6_libdir}/libQt6MultimediaQuick.so
%{_qt6_libdir}/libQt6MultimediaQuick.prl
%{_qt6_libdir}/libQt6MultimediaWidgets.so
%{_qt6_libdir}/libQt6MultimediaWidgets.prl
%{_qt6_libdir}/libQt6SpatialAudio.so
%{_qt6_libdir}/libQt6SpatialAudio.prl
%{_qt6_libdir}/libQt6Quick3DSpatialAudio.so
%{_qt6_libdir}/libQt6Quick3DSpatialAudio.prl
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/*.cmake
%{_qt6_libdir}/cmake/Qt6BundledResonanceAudio/*.cmake
#{_qt6_libdir}/cmake/Qt6QGstreamerMediaPluginPrivate/*.cmake
%{_qt6_libdir}/cmake/Qt6MultimediaQuickPrivate/*.cmake
%{_qt6_libdir}/cmake/Qt6Multimedia/*.cmake
%{_qt6_libdir}/cmake/Qt6MultimediaWidgets/*.cmake
%{_qt6_libdir}/cmake/Qt6SpatialAudio/*cmake
%{_qt6_libdir}/cmake/Qt6Quick3DSpatialAudioPrivate/*cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%{_qt6_archdatadir}/mkspecs/modules/*.pri
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt6_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

	
cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_TRANSLATIONSDIR=%{_qt6_translationdir} \
	-D INSTALL_DATADIR=%{_qt6_datadir}		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_FEATURE_alsa=ON				\
	-D QT_BUILD_EXAMPLES_BY_DEFAULT=ON		\
	-D QT_INSTALL_EXAMPLES_SOURCES=ON		\
	

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
